import { NgZone } from '@angular/core';
import { BaseChart } from './base.chart';
export declare class ChartComponent extends BaseChart {
    private _config;
    private _prevConfig;
    private _chart;
    private _chartContainer;
    constructor(zone: NgZone);
    protected _onDestroy(): void;
    protected _checkUpdate(resized: boolean): void;
    private _refresh(configChanged);
    private _createNewChart(cfg);
    private _onResize();
    private _applyConfig();
    private _isYAxisAllNumbers(data);
    private _applyColors(colors, colorsFor, datasets);
}
